Subject: bug#38785: 26.3; `y-or-n-p' leaves prompt and response in echo area

From: Drew Adams <[email-masked]>
Date: Sun, 29 Dec 2019 06:14:40 -0800 (PST)

> > > I think `y-or-n-p' should probably just use `(sit-for 1)'
> > > after it shows the prompt + answer,
> >
> > That would always delay the caller of y-or-n-p by one second.  I'm
> > pretty sure that would be highly annoying.
> 
> Yes.  And besides, this area underwent significant changes since Emacs
> 26.3, so I suggest to try the latest emacs-27 branch before continuing
> the discussion.

`read-key', and functions like `y-or-n-p'
that use it or do the same thing, should not
be made to read from the minibuffer.

The fact that such functions have prompted
using the echo area is bad enough.  Making
them read from the minibuffer is even worse.

That's my opinion about (my understanding of)
those "significant changes".  Doing that just
introduces a new (design) bug that should,
and will hopefully someday, be fixed.